Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.validation
[Java] Class PersistentConstraintFactory

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.validation.PersistentConstraintFactory

All Implemented Interfaces:
  ConstraintFactory

    public class PersistentConstraintFactory
    extends java.lang.Object

Creates PersistentConstraint instances ensuring that dependencies are provided.

Authors:
  Graeme Rocher

Since:
  0.4

Constructor Summary
`PersistentConstraintFactory(org.springframework.context.ApplicationContext applicationContext, java.lang.Class persistentConstraint)`

Method Summary
`Constraint` | `newInstance()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PersistentConstraintFactory

    public PersistentConstraintFactory(org.springframework.context.ApplicationContext applicationContext, java.lang.Class persistentConstraint)

Method Detail

### newInstance

    public Constraint newInstance()

Groovy Documentation